path: /build/build/vim-app-editors-9.1.1420.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-X -crypt -kernel_linux -lua -lua_single_target_lua5-1 -lua_single_target_lua5-2 -lua_single_target_lua5-3 -lua_single_target_lua5-4 -lua_single_target_luajit -perl -python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -racket -ruby -selinux -sound -tcl -vim-pager acl cscope gpm nls python python_single_target_python3_9" emerge app-editors/vim -pv -t && \
    USE="-X -crypt -kernel_linux -lua -lua_single_target_lua5-1 -lua_single_target_lua5-2 -lua_single_target_lua5-3 -lua_single_target_lua5-4 -lua_single_target_luajit -perl -python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -racket -ruby -selinux -sound -tcl -vim-pager acl cscope gpm nls python python_single_target_python3_9" emerge -j ${JOBS} --nodeps app-editors/vim && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/vim && \
    luet-portage --dir /pkgdir/vim app-editors/vim && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree:399117241c810de7b70b6c94e20347cf870bc0414169f31c410266f9f8f13b82
  package:
    name: vim
    version: 9.1.1420
    category: app-editors
    use_flags:
    - -X
    - -crypt
    - -kernel_linux
    - -lua
    - -lua_single_target_lua5-1
    - -lua_single_target_lua5-2
    - -lua_single_target_lua5-3
    - -lua_single_target_lua5-4
    - -lua_single_target_luajit
    - -perl
    - -python_single_target_python2_7
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -racket
    - -ruby
    - -selinux
    - -sound
    - -tcl
    - -vim-pager
    - acl
    - cscope
    - gpm
    - nls
    - python
    - python_single_target_python3_9
    requires:
    - name: gpm
      version: '>=0'
      category: sys-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Vim, an improved vi-style text editor
    uri:
    - http://www.vim.org/ https://github.com/vim/vim
    license: vim
    buildtimestamp: 2025-10-28 19:18:18.002712268 +0000 UTC m=+310.991865911
    labels:
      DEPEND: '>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl
        ) acl? ( kernel_linux? ( sys-apps/acl ) ) crypt? ( dev-libs/libsodium:= )
        cscope? ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit?
        ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
        ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
        ( dev-lua/lua:5.4 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated]
        ) ) ~app-editors/vim-core-9.1.1420 !<app-editors/vim-core-8.2.4328-r1 vim-pager?
        ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_10?
        ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
        >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
        ) ruby? ( || ( dev-lang/ruby:3.2 dev-lang/ruby:3.1 dev-lang/ruby:3.0 dev-lang/ruby:2.7
        ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra
        ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt ) sys-devel/autoconf lua? (
        lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) ) nls? (
        sys-devel/gettext )'
      IUSE: X acl crypt cscope debug gpm lua minimal nls perl python racket ruby selinux
        sound tcl terminal vim-pager python_single_target_python3_10 python_single_target_python3_7
        python_single_target_python3_9 python_single_target_python3_8 python_single_target_python2_7
        python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python2_7 lua_single_target_luajit
        lua_single_target_lua5-1 lua_single_target_lua5-2 lua_single_target_lua5-3
        lua_single_target_lua5-4
      RDEPEND: '>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl
        ) acl? ( kernel_linux? ( sys-apps/acl ) ) crypt? ( dev-libs/libsodium:= )
        cscope? ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit?
        ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
        ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
        ( dev-lua/lua:5.4 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated]
        ) ) ~app-editors/vim-core-9.1.1420 !<app-editors/vim-core-8.2.4328-r1 vim-pager?
        ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_10?
        ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
        ) python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
        >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
        ) ruby? ( || ( dev-lang/ruby:3.2 dev-lang/ruby:3.1 dev-lang/ruby:3.0 dev-lang/ruby:2.7
        ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra
        ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt )'
      emerge.packages: app-editors/vim
      kit: editors-kit
      original.package.name: app-editors/vim
      original.package.slot: "0"
      original.package.version: 9.1.1420
    treedir: /build/packages
  package_dir: /pkgdir/vim
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-systemd-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - {}
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 18b6b6ee933ceb3e29acbe78a223340b95d931509750c62b7d1374484a6a13b9
compressiontype: zstd
files:
- usr/bin/rview
- usr/bin/rvim
- usr/bin/vim
- usr/bin/vimdiff
- usr/share/applications/vim.desktop
- usr/share/bash-completion/completions/ex
- usr/share/bash-completion/completions/rview
- usr/share/bash-completion/completions/rvim
- usr/share/bash-completion/completions/vi
- usr/share/bash-completion/completions/view
- usr/share/bash-completion/completions/vim
- usr/share/bash-completion/completions/vimdiff
- var/db/pkg/app-editors/vim-9.1.1420/BUILD_TIME
- var/db/pkg/app-editors/vim-9.1.1420/CATEGORY
- var/db/pkg/app-editors/vim-9.1.1420/CBUILD
- var/db/pkg/app-editors/vim-9.1.1420/CFLAGS
- var/db/pkg/app-editors/vim-9.1.1420/CHOST
- var/db/pkg/app-editors/vim-9.1.1420/CONTENTS
- var/db/pkg/app-editors/vim-9.1.1420/COUNTER
- var/db/pkg/app-editors/vim-9.1.1420/CTARGET
- var/db/pkg/app-editors/vim-9.1.1420/CXX
- var/db/pkg/app-editors/vim-9.1.1420/CXXFLAGS
- var/db/pkg/app-editors/vim-9.1.1420/DEFINED_PHASES
- var/db/pkg/app-editors/vim-9.1.1420/DEPEND
- var/db/pkg/app-editors/vim-9.1.1420/DESCRIPTION
- var/db/pkg/app-editors/vim-9.1.1420/EAPI
- var/db/pkg/app-editors/vim-9.1.1420/FEATURES
- var/db/pkg/app-editors/vim-9.1.1420/HOMEPAGE
- var/db/pkg/app-editors/vim-9.1.1420/INHERITED
- var/db/pkg/app-editors/vim-9.1.1420/IUSE
- var/db/pkg/app-editors/vim-9.1.1420/IUSE_EFFECTIVE
- var/db/pkg/app-editors/vim-9.1.1420/KEYWORDS
- var/db/pkg/app-editors/vim-9.1.1420/LDFLAGS
- var/db/pkg/app-editors/vim-9.1.1420/LICENSE
- var/db/pkg/app-editors/vim-9.1.1420/NEEDED
- var/db/pkg/app-editors/vim-9.1.1420/NEEDED.ELF.2
- var/db/pkg/app-editors/vim-9.1.1420/PDEPEND
- var/db/pkg/app-editors/vim-9.1.1420/PF
- var/db/pkg/app-editors/vim-9.1.1420/RDEPEND
- var/db/pkg/app-editors/vim-9.1.1420/REQUIRES
- var/db/pkg/app-editors/vim-9.1.1420/SIZE
- var/db/pkg/app-editors/vim-9.1.1420/SLOT
- var/db/pkg/app-editors/vim-9.1.1420/USE
- var/db/pkg/app-editors/vim-9.1.1420/environment.bz2
- var/db/pkg/app-editors/vim-9.1.1420/repository
- var/db/pkg/app-editors/vim-9.1.1420/vim-9.1.1420.ebuild
package_cacheimage: ""
runtime:
  name: vim
  version: 9.1.1420
  category: app-editors
  use_flags:
  - -X
  - -crypt
  - -kernel_linux
  - -lua
  - -lua_single_target_lua5-1
  - -lua_single_target_lua5-2
  - -lua_single_target_lua5-3
  - -lua_single_target_lua5-4
  - -lua_single_target_luajit
  - -perl
  - -python_single_target_python2_7
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -racket
  - -ruby
  - -selinux
  - -sound
  - -tcl
  - -vim-pager
  - acl
  - cscope
  - gpm
  - nls
  - python
  - python_single_target_python3_9
  requires:
  - name: vim-core
    version: '>=0'
    category: app-editors
  - name: eselect-vi
    version: '>=0'
    category: app-eselect
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: cscope
    version: '>=0'
    category: dev-util
  - name: gpm
    version: '>=0'
    category: sys-libs
  - name: libintl
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Vim, an improved vi-style text editor
  uri:
  - http://www.vim.org/ https://github.com/vim/vim
  license: vim
  labels:
    DEPEND: '>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl
      ) acl? ( kernel_linux? ( sys-apps/acl ) ) crypt? ( dev-libs/libsodium:= ) cscope?
      ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit?
      ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
      ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
      ( dev-lua/lua:5.4 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated]
      ) ) ~app-editors/vim-core-9.1.1420 !<app-editors/vim-core-8.2.4328-r1 vim-pager?
      ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_10?
      ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
      >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
      ) ruby? ( || ( dev-lang/ruby:3.2 dev-lang/ruby:3.1 dev-lang/ruby:3.0 dev-lang/ruby:2.7
      ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra
      ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt ) sys-devel/autoconf lua? ( lua_single_target_luajit?
      ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
      ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
      ( dev-lua/lua:5.4 ) ) nls? ( sys-devel/gettext )'
    IUSE: X acl crypt cscope debug gpm lua minimal nls perl python racket ruby selinux
      sound tcl terminal vim-pager python_single_target_python3_10 python_single_target_python3_7
      python_single_target_python3_9 python_single_target_python3_8 python_single_target_python2_7
      python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python2_7 lua_single_target_luajit lua_single_target_lua5-1
      lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4
    RDEPEND: '>=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0= nls? ( virtual/libintl
      ) acl? ( kernel_linux? ( sys-apps/acl ) ) crypt? ( dev-libs/libsodium:= ) cscope?
      ( dev-util/cscope ) gpm? ( >=sys-libs/gpm-1.19.3 ) lua? ( lua_single_target_luajit?
      ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
      ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
      ( dev-lua/lua:5.4 ) lua_single_target_lua5-1? ( dev-lang/lua:5.1[deprecated]
      ) ) ~app-editors/vim-core-9.1.1420 !<app-editors/vim-core-8.2.4328-r1 vim-pager?
      ( app-editors/vim-core[-minimal] ) perl? ( dev-lang/perl:= ) python? ( python_single_target_python3_10?
      ( dev-lang/python:3.10[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_10]
      ) python_single_target_python3_7? ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
      >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
      ) ruby? ( || ( dev-lang/ruby:3.2 dev-lang/ruby:3.1 dev-lang/ruby:3.0 dev-lang/ruby:2.7
      ) virtual/rubygems ) selinux? ( sys-libs/libselinux ) sound? ( media-libs/libcanberra
      ) tcl? ( dev-lang/tcl:0= ) X? ( x11-libs/libXt )'
    emerge.packages: app-editors/vim
    kit: editors-kit
    original.package.name: app-editors/vim
    original.package.slot: "0"
    original.package.version: 9.1.1420
